A staff is a line of music that can span multiple measures. A system is a line of music for each staff in the score. So a staff spans multiple systems. A staff modifier connects 2 points in the staff.

### Hierarchy

- SmoSystemStaff

### Implements

- SmoObjectParams

## Index

### Constructors

- constructor

### Methods

- getStaffInstrument
- mapStaffFromTo
- getStaffInstrument

## Constructors

### constructor

- new SmoSystemStaff(params: SmoSystemStaffParams): SmoSystemStaff

- - Defined in src/smo/data/systemStaff.ts:115

  #### Parameters

  - ##### params: SmoSystemStaffParams

  #### Returns SmoSystemStaff

## Methods

### getStaffInstrument

- getStaffInstrument(measureIndex: number): SmoInstrument

- - Defined in src/smo/data/systemStaff.ts:302

  Get the active instrument at the given measure

  #### Parameters

  - ##### measureIndex: number

  #### Returns SmoInstrument

### mapStaffFromTo

- mapStaffFromTo(from: number, to: number): void

- - Defined in src/smo/data/systemStaff.ts:274

  We have created a score with staff mappings. Update the selectors in staff modifiers so that 'from' in the staff slot is 'to'

  #### Parameters

  - ##### from: number

  - ##### to: number

  #### Returns void

### Static getStaffInstrument

- getStaffInstrument(measureInstrumentMap: Record<number, SmoInstrument>, measureIndex: number): SmoInstrument

- - Defined in src/smo/data/systemStaff.ts:59

  Gets the instrument assigned to a given measure

  #### Parameters

  - ##### measureInstrumentMap: Record<number, SmoInstrument>

  - ##### measureIndex: number

  #### Returns SmoInstrument

Generated using TypeDoc